aboutsummaryrefslogtreecommitdiff
path: root/README.md
diff options
context:
space:
mode:
authorSlack Coder <slackcoder@server.ky>2018-12-20 15:05:38 +0100
committerSlack Coder <slackcoder@server.ky>2018-12-22 10:59:43 +0100
commit4d79d9a627774132e9e4696107c75fde21807549 (patch)
treee4fe74853da6fe4c069c2a547c10bdb624e2c29f /README.md
downloadslackware.com-client-4d79d9a627774132e9e4696107c75fde21807549.tar.xz
initial commit
Diffstat (limited to 'README.md')
-rw-r--r--README.md77
1 files changed, 77 insertions, 0 deletions
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..f269612
--- /dev/null
+++ b/README.md
@@ -0,0 +1,77 @@
+not-slackware.com
+=================
+
+A minimalistic tool for interfacing with Slackware's mirrors and website from the command line.
+
+Locally, I rename this to slackware.com. Use this tool at your own risk.
+
+Note: Currently this project is pre-release and may be vulnerable to downgrade attacks.
+
+```
+ not-slackware.com [command]
+
+ changelog
+ - show changes described in the Changelog since the last update
+ download
+ - download the given packages
+ help
+ - list commands offered by this tool
+ list
+ - print all packages on the mirror
+ sync
+ - update knowledge about mirror's content
+ updates
+ - print all new and updated packages on mirror
+
+ Environment Variables
+
+ PACKAGE_CACHE ($ROOT/var/cache/packages)
+ - local directory for downloads
+ QUIET (false)
+ - turn off informational output: 'false' or 'true'
+ ROOT (/)
+ - target root directory
+ SLACKWARE_MIRROR (https://download.dlackware.com/slackware/slackware-current/)
+ - remote root slackware package location
+```
+
+Examples
+--------
+
+Download all updates:
+```
+not-slackware.com updates | xargs not-slackware.com download
+```
+
+Cron script to download updates and email changes to root:
+```
+#!/bin/sh
+set -e
+
+export QUIET=true
+export SLACKWARE_MIRROR=http://slack64y3pqluw32.onion/ftp.arm.slackware.com/slackwarearm/slackwarearm-current/
+export PATH=$PATH:/usr/local/sbin
+
+not-slackware.com sync
+TO_UPDATE="$(not-slackware.com updates)"
+if [ -n "$TO_UPDATE" ]; then
+ not-slackware.com updates | xargs not-slackware.com download
+ not-slackware.com changelog | mail -s "updates" root
+fi
+```
+
+Installation
+------------
+
+Download the not-slackware.com script, and copy it to /usr/local/sbin:
+
+```
+chmd +x not-slackware.com
+mv not-slackware.com /usr/local/sbin
+```
+
+Import Slackware's GPG key for the user running the tool:
+
+```
+gpg2 --keyserver pgp.mit.edu --recv-keys 0x6A4463C040102233
+```